/* 全局 */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    min-height: 100vh;
    background: url("images/bg.jpg") center / cover no-repeat fixed;
    font-family: Arial, Helvetica, sans-serif;
    color: #000;
}


/* 主内容 */

.overlay {

    min-height: 100vh;

    display: flex;
    flex-direction: column;

    justify-content: center;
    align-items: center;

    text-align: center;

    padding: 20px;

}


/* 名字 */

.name {

    font-size: 42px;
    font-weight: 600;

    letter-spacing: 2px;

    margin-bottom: 15px;

}


/* 简介 */

.intro {

    font-size: 16px;

    margin-bottom: 35px;

    opacity: .85;

}


/* 域名区域 */

.domain-box {

    margin: 10px 0 25px;

}


#domain {

    font-size: 32px;

    font-weight: 700;

    letter-spacing: 3px;

    color: #000;

    text-shadow:

        0 2px 10px rgba(0, 0, 0, .18);

}



/* 提示文字 */

.visit-text {

    font-size: 15px;

    margin-bottom: 30px;

}



/* 社交按钮 */

.social {

    display: flex;

    gap: 25px;

}


.social a {

    color: #000;

    font-size: 22px;

    transition: .3s;

}


.social a:hover {

    transform: translateY(-4px);

    opacity: .6;

}



/* Power */

.power {

    margin-top: 35px;

    font-size: 13px;

    opacity: .7;

}



/* 底部 */

.footer {

    position: fixed;

    bottom: 25px;

    left: 50%;

    transform: translateX(-50%);

    text-align: center;

    font-size: 13px;

    color: #000;

}



.time-title {

    margin-bottom: 5px;

    font-weight: 600;

}



#time {

    margin-bottom: 6px;

}


#ip {

    opacity: .75;

}



/* 手机适配 */

@media(max-width:600px) {


    .name {

        font-size: 34px;

    }


    .intro {

        font-size: 14px;

    }


    #domain {

        font-size: 24px;

        letter-spacing: 2px;

    }


    .social {

        gap: 20px;

    }


    .footer {

        bottom: 18px;

        font-size: 12px;

    }


}
